Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class Write

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.jpg.Write

public class Write
extends java.lang.Object

Field Summary
`static byte` | `APP0`
`static byte` | `APP15`
`static byte` | `COM`
`static byte` | `DAC`
`static byte` | `DHP`
`static byte` | `DHT`
`static byte` | `DNL`
`static byte` | `DQT`
`static byte` | `DRI`
`static byte` | `EOI`
`static byte` | `ERROR`
`static byte` | `EXP`
`static byte` | `JPG`
`static byte` | `JPG0`
`static byte` | `JPG13`
`static byte` | `RST0`
`static byte` | `RST1`
`static byte` | `RST2`
`static byte` | `RST3`
`static byte` | `RST4`
`static byte` | `RST5`
`static byte` | `RST6`
`static byte` | `RST7`
`static byte` | `SOF0`
`static byte` | `SOF1`
`static byte` | `SOF10`
`static byte` | `SOF11`
`static byte` | `SOF13`
`static byte` | `SOF14`
`static byte` | `SOF15`
`static byte` | `SOF2`
`static byte` | `SOF3`
`static byte` | `SOF5`
`static byte` | `SOF6`
`static byte` | `SOF7`
`static byte` | `SOF9`
`static byte` | `SOI`
`static byte` | `SOS`
`static byte` | `TEM`

Constructor Summary
`Write()`

Method Summary
`static void` | `write_file_header(CompressInfo cinfo)`
`static void` | `write_file_trailer(CompressInfo cinfo)`
`static void` | `write_jpeg_data(CompressInfo cinfo, byte[] data, int datacount)`
`static void` | `write_scan_header(CompressInfo cinfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOF0

    public static final byte SOF0

### SOF1

    public static final byte SOF1

### SOF2

    public static final byte SOF2

### SOF3

    public static final byte SOF3

### SOF5

    public static final byte SOF5

### SOF6

    public static final byte SOF6

### SOF7

    public static final byte SOF7

### JPG

    public static final byte JPG

### SOF9

    public static final byte SOF9

### SOF10

    public static final byte SOF10

### SOF11

    public static final byte SOF11

### SOF13

    public static final byte SOF13

### SOF14

    public static final byte SOF14

### SOF15

    public static final byte SOF15

### DHT

    public static final byte DHT

### DAC

    public static final byte DAC

### RST0

    public static final byte RST0

### RST1

    public static final byte RST1

### RST2

    public static final byte RST2

### RST3

    public static final byte RST3

### RST4

    public static final byte RST4

### RST5

    public static final byte RST5

### RST6

    public static final byte RST6

### RST7

    public static final byte RST7

### SOI

    public static final byte SOI

### EOI

    public static final byte EOI

### SOS

    public static final byte SOS

### DQT

    public static final byte DQT

### DNL

    public static final byte DNL

### DRI

    public static final byte DRI

### DHP

    public static final byte DHP

### EXP

    public static final byte EXP

### APP0

    public static final byte APP0

### APP15

    public static final byte APP15

### JPG0

    public static final byte JPG0

### JPG13

    public static final byte JPG13

### COM

    public static final byte COM

### TEM

    public static final byte TEM

### ERROR

    public static final byte ERROR

Constructor Detail

### Write

    public Write()

Method Detail

### write_file_header

    public static void write_file_header(CompressInfo cinfo)

### write_scan_header

    public static void write_scan_header(CompressInfo cinfo)

### write_jpeg_data

    public static void write_jpeg_data(CompressInfo cinfo,
                                       byte[] data,
                                       int datacount)

### write_file_trailer

    public static void write_file_trailer(CompressInfo cinfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD